package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.GetRepalBillPageDTO;
import com.winhc.repal.model.vo.RepalBillDetailVO;
import com.winhc.repal.model.vo.RepalBillPageVO;
import com.winhc.repal.service.RepalBillService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;



/**
 * @description 回款宝账款
 * @author Generator
 * @date 2020-12-15
 */
@Api(tags = "回款宝账款")
@RestController
@RequestMapping(value = "/repalBill")
public class RepalBillController {

    @Autowired
    private RepalBillService repalBillService;


    @ApiOperation("获取账本下的账款列表(应收or应付)")
    @RequestMapping(value = "/page", method = RequestMethod.GET)
    public BeanResponse<VOPage<RepalBillPageVO>> getRepalBillPage(GetRepalBillPageDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalBillService.getRepalBillPage(dto));
    }

    @ApiOperation("账款详情")
    @RequestMapping(value = "/{repalBillId}", method = RequestMethod.GET)
    public BeanResponse<RepalBillDetailVO> getRepalBillDetail(@PathVariable("repalBillId")Long repalBillId) {
        return BeanResponse.success(CodeMsg.SUCCESS, repalBillService.getRepalBillDetail(repalBillId));
    }

//    @ApiOperation("获取账款信息by账款id")
//    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
//    public BeanResponse<AccountBillDetailVO> getAccountBillDetailById(@PathVariable("id") Long id) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.getAccountBillDetailById(id, RequesterUtil.getCurrentUserId(), getAppPackageName(), getAppVersion()));
//    }
//
//    @ApiOperation("根据类型和账款id修改账款信息")
//    @RequestMapping(value = "/{id}", method = RequestMethod.PUT)
//    public BeanResponse<Boolean> updateAccountBillByType(@PathVariable("id")Long id, @Validated @RequestBody UpdateAccountBillDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.updateAccountBillByType(dto.setUserId(RequesterUtil.getCurrentUserId()).setAccountBillId(id)));
//    }
//
//    @ApiOperation("新增账款")
//    @RequestMapping(method = RequestMethod.POST)
//    public BeanResponse<AccountBillVO> addAccountBook(@Validated @RequestBody AddAccountBillDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.addAccountBill(dto, RequesterUtil.getCurrentUserId()));
//    }
//
//    @ApiOperation("删除账款")
//    @DeleteMapping("/{id}")
//    public BeanResponse<Boolean> delAccountBook(@PathVariable("id")Long id){
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.deleteAccountBill(id,RequesterUtil.getCurrentUser()));
//    }
//
//    @ApiOperation("简易轮询账款")
//    @RequestMapping(value = "/poll/{id}", method = RequestMethod.GET)
//    public BeanResponse<AccountBillVO> pollAccountBillById(@PathVariable("id")Long id) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.pollAccountBillById(new AccountBill().setId(id).setUserId(RequesterUtil.getCurrentUserId())));
//    }
//
//    @ApiOperation("批量轮询")
//    @RequestMapping(value = "/poll/batch", method = RequestMethod.POST)
//    public BeanResponse<List<AccountBillVO>> pollBatchAccountBillByIds(@RequestBody BatchPollAccountBillDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.pollBatchAccountBillByIds(dto.setUserId(RequesterUtil.getCurrentUserId())));
//    }
//
//    @ApiOperation("联系客服")
//    @RequestMapping(value = "/apply", method = RequestMethod.GET)
//    public BeanResponse<Boolean> applyCustomerService(ApplyCustomerServiceDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.applyCustomerService(dto.setUserId(RequesterUtil.getCurrentUserId())));
//    }
//
//    @ApiOperation("批量导入")
//    @RequestMapping(value = "/batchImport", method = RequestMethod.POST)
//    public BeanResponse<BatchImportResultVO> batchImportAccountBill(@RequestBody List<BatchImportAccountBillDTO> dtoList) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.batchImportAccountBill(dtoList));
//    }
//
//    @ApiOperation("账款添加一笔已收回记录")
//    @RequestMapping(value = "/receipt", method = RequestMethod.POST)
//    public BeanResponse<Boolean> addAccountBillReceipt(@RequestBody AddAccountBillReceiptDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.addAccountBillReceipt(dto, RequesterUtil.getCurrentUserId()));
//    }
//
////    @Deprecated
////    @ApiOperation("修复cid对应companyId")
////    @RequestMapping(value = "/fixCompanyId", method = RequestMethod.POST)
////    public BeanResponse<Boolean> fixCompanyId() {
////        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.fixCompanyId());
////    }
//
//    @ApiOperation("获取用户应收账款总额和笔数")
//    @RequestMapping(value = "/total/{userId}", method = RequestMethod.GET)
//    public BeanResponse<AccountBillTotalVO> getTotalMoneyAndCount(@PathVariable("userId") Long userId) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.getTotalMoneyAndCount(userId));
//    }




}
