package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.entity.RepalBill;
import com.winhc.repal.model.dto.GetRepalBillPageDTO;
import com.winhc.repal.model.vo.RepalBillDetailVO;
import com.winhc.repal.model.vo.RepalBillPageVO;


/**
 * @description RepalBill 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalBillService extends IService<RepalBill> {

    /**
     * 应收/应付分页列表
     * @param dto dto
     * @return com.winhc.common.model.base.VOPage<com.winhc.repal.model.vo.RepalBillPageVO>
     * @author xda
     * @date 2022/4/8 15:16
     */
    VOPage<RepalBillPageVO> getRepalBillPage(GetRepalBillPageDTO dto);


    /**
     * 获取账款详情
     * @param repalBillId repalBillId
     * @return com.winhc.repal.model.vo.RepalBillDetailVO
     * @author xda
     * @date 2022/4/13 20:26
     */
    RepalBillDetailVO getRepalBillDetail(Long repalBillId);
}
