package com.winhc.repal.service;

import com.winhc.repal.entity.RepalCustomer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalCustomerDTO;
import com.winhc.repal.model.vo.RepalCustomerVO;
import java.util.List;


/**
 * @description RepalCustomer 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalCustomerService extends IService<RepalCustomer> {

    /**
    * add RepalCustomer
    * @param dto data transfer object
    */
    void add(RepalCustomerDTO dto);

    /**
    * update RepalCustomer
    * @param custId key
    * @param dto data transfer object
    */
    void update(Long custId, RepalCustomerDTO dto);

    /**
    * delete RepalCustomer
    * @param custId key
    */
    void delete(Long custId);

    /**
    * find RepalCustomer
    * @param custId key
    * @return RepalCustomer
    */
    RepalCustomerVO find(Long custId);

    /**
    * find RepalCustomer list
    * @param dto data transfer object
    * @return list of RepalCustomer
    */
    List<RepalCustomerVO> find(RepalCustomerDTO dto);

     /**
     * find RepalCustomer page
     * @param dto data transfer object
     * @param pageNum page number
     * @param pageSize page size
     * @return page of RepalCustomer
     */
     VOPage<RepalCustomerVO> find(RepalCustomerDTO dto, Integer pageNum, Integer pageSize);
}
