package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalCustomer;
import com.winhc.repal.repository.RepalCustomerMapper;
import com.winhc.repal.service.RepalCustomerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalCustomerDTO;
import com.winhc.repal.model.cvt.RepalCustomerConvert;
import com.winhc.repal.model.vo.RepalCustomerVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalCustomer 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalCustomerServiceImpl extends ServiceImpl<RepalCustomerMapper, RepalCustomer> implements RepalCustomerService {

    @Override
    public void add(RepalCustomerDTO dto) {
        save(RepalCustomerConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long custId, RepalCustomerDTO dto) {
        update(RepalCustomerConvert.DTOToEntity(dto),new UpdateWrapper<RepalCustomer>().lambda().eq(RepalCustomer::getCustId,custId));
    }

    @Override
    public void delete(Long custId) {
        removeById(custId);
    }

    @Override
    public RepalCustomerVO find(Long custId) {
        return RepalCustomerConvert.EntityToVO(getById(custId));
    }

    @Override
    public List<RepalCustomerVO> find(RepalCustomerDTO dto) {
        return list(new QueryWrapper<>(RepalCustomerConvert.DTOToEntity(dto))).stream().map(RepalCustomerConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalCustomerVO> find(RepalCustomerDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalCustomer> pageRepalCustomer = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalCustomerConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalCustomer.getTotal(), pageRepalCustomer.getRecords().stream()
                 .map(RepalCustomerConvert::EntityToVO).collect(Collectors.toList()));
    }
}
